SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002785: collectd unixsocket sometimes refueses connections - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002785Endian FirewallOther Servicespublic2010-03-22 15:242010-11-22 12:08
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3.1Fixed in Version2.4.1 
Summary0002785: collectd unixsocket sometimes refueses connections
Descriptionsometimes connecting to the collectd unixsocket is not possible giving a connection refused.


you can fix it manually by removing manually the socket file
rm /var/run/collectd

and then restart collectd

/etc/init.d/collectd restart


probably this happens during the daily restart or collectd crashes soemtimes and will be restarted by monit

collectd does not create a new socket file when there is already such a file. but the old file, which is not connected to any process certainly refuses connections all the time.

probably it is enough to remove that file if it exists whenever collectd will be started. (?)


easily reproduceable:
killall -9 collectd
/etc/init.d/collectd restart
-> not accepting anymore
TagsNo tags attached.
Attached Files

- Relationships
related to 0002681closedpeter-endian Dashboard stats have wrong values 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-03-22 15:24 peter-endian New Issue
2010-03-22 15:24 peter-endian Assigned To => peter-endian
2010-03-22 15:24 peter-endian Status new => confirmed
2010-03-22 15:38 peter-endian Relationship added related to 0002681
2010-03-26 14:32 peter-endian Status confirmed => resolved
2010-03-26 14:32 peter-endian Fixed in Version => 2.3.1
2010-03-26 14:32 peter-endian Resolution open => fixed
2010-11-22 12:08 peter-endian Fixed in Version 2.3.1 => 2.4.1
2010-11-22 12:08 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker